<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionBuildShelter Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d71/class_action_build_shelter.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ActionBuildShelter Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionBuildShelter:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../db/d71/class_action_build_shelter.png" usemap="#ActionBuildShelter_map" alt=""/>
  <map id="ActionBuildShelter_map" name="ActionBuildShelter_map">
<area href="../../d6/d3f/class_action_continuous_base.html" alt="ActionContinuousBase" shape="rect" coords="0,0,139,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a94dd55fa64ad4adc21776b1602ec0a94"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a94dd55fa64ad4adc21776b1602ec0a94">ActionBuildShelter</a> ()</td></tr>
<tr class="separator:a94dd55fa64ad4adc21776b1602ec0a94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a8324280e5ef9730db47296d849a39d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a5a8324280e5ef9730db47296d849a39d">~ActionBuildShelter</a> ()</td></tr>
<tr class="separator:a5a8324280e5ef9730db47296d849a39d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3b58a2bed752f6b9b49d2e4b8fa470f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#ab3b58a2bed752f6b9b49d2e4b8fa470f">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:ab3b58a2bed752f6b9b49d2e4b8fa470f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abaf4010162ccf8b6ab78940ff997949a"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#abaf4010162ccf8b6ab78940ff997949a">GetText</a> ()</td></tr>
<tr class="separator:abaf4010162ccf8b6ab78940ff997949a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a570b4acb9cfbaa607f648d3d808b3c69"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a570b4acb9cfbaa607f648d3d808b3c69">OnActionInfoUpdate</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a570b4acb9cfbaa607f648d3d808b3c69"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91d0b225cbd3f9e8abcd7fb9f6229cd2"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a91d0b225cbd3f9e8abcd7fb9f6229cd2">CanBeUsedLeaning</a> ()</td></tr>
<tr class="separator:a91d0b225cbd3f9e8abcd7fb9f6229cd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9070a3d6bb11edfa75fd22325dceb226"><td class="memItemLeft" align="right" valign="top">override&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a9070a3d6bb11edfa75fd22325dceb226">GetInputType</a> ()</td></tr>
<tr class="separator:a9070a3d6bb11edfa75fd22325dceb226"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2211d0a9955e7e523e6cfb13866263e4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a2211d0a9955e7e523e6cfb13866263e4">UseMainItem</a> ()</td></tr>
<tr class="separator:a2211d0a9955e7e523e6cfb13866263e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2548f494ef5b62e757470533ff3f405"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#ad2548f494ef5b62e757470533ff3f405">HasProgress</a> ()</td></tr>
<tr class="separator:ad2548f494ef5b62e757470533ff3f405"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a777d7acc5358961e72a2dcfcfc8c5de0"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a777d7acc5358961e72a2dcfcfc8c5de0">HasAlternativeInterrupt</a> ()</td></tr>
<tr class="separator:a777d7acc5358961e72a2dcfcfc8c5de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45d07c4cf56d398f63f579a022b1a9bd"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a45d07c4cf56d398f63f579a022b1a9bd">ActionCondition</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item)</td></tr>
<tr class="separator:a45d07c4cf56d398f63f579a022b1a9bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7875788c5a8f631b92a4541ea47f0aa4"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a7875788c5a8f631b92a4541ea47f0aa4">SetupAction</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data=NULL)</td></tr>
<tr class="separator:a7875788c5a8f631b92a4541ea47f0aa4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc49bf3790efd2cc68898d083e4e5207"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#acc49bf3790efd2cc68898d083e4e5207">CreateActionData</a> ()</td></tr>
<tr class="separator:acc49bf3790efd2cc68898d083e4e5207"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4436a9e87c77c518e116cde19e2e223a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a4436a9e87c77c518e116cde19e2e223a">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a4436a9e87c77c518e116cde19e2e223a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cdfb431d1e1692d3dc54b85a137636d"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a9cdfb431d1e1692d3dc54b85a137636d">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a9cdfb431d1e1692d3dc54b85a137636d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa179d82f63bd2720fec2f30a7a7d2a30"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#aa179d82f63bd2720fec2f30a7a7d2a30">HandleReciveData</a> (ActionReciveData action_recive_data, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa179d82f63bd2720fec2f30a7a7d2a30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62d828e52eac9e9be595b85518acebf1"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a62d828e52eac9e9be595b85518acebf1">ActionConditionContinue</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a62d828e52eac9e9be595b85518acebf1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ceca15240a071f19d396c9262de7147"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a7ceca15240a071f19d396c9262de7147">OnStart</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a7ceca15240a071f19d396c9262de7147"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bfb33d2601074767ef6928a74773690"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a8bfb33d2601074767ef6928a74773690">OnStartClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a8bfb33d2601074767ef6928a74773690"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eb16c03d0f0cbbf9bbedca4f24baf7d"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a6eb16c03d0f0cbbf9bbedca4f24baf7d">OnStartAnimationLoopClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a6eb16c03d0f0cbbf9bbedca4f24baf7d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76d424fd41690a56d96095937347440b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a76d424fd41690a56d96095937347440b">OnEnd</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a76d424fd41690a56d96095937347440b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b929b8b59303be4ca364d59427e0e08"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a4b929b8b59303be4ca364d59427e0e08">OnEndClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a4b929b8b59303be4ca364d59427e0e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9762b833ae5af451471af2d9f770a997"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a9762b833ae5af451471af2d9f770a997">OnFinishProgressServer</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a9762b833ae5af451471af2d9f770a997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8d3c89f8a61b4dfe15a35419db0990a"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#aa8d3c89f8a61b4dfe15a35419db0990a">OnFinishProgressClient</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa8d3c89f8a61b4dfe15a35419db0990a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1da2ce509a0193938852ea6686d49dc2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a1da2ce509a0193938852ea6686d49dc2">DetermineConstructionSounds</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a1da2ce509a0193938852ea6686d49dc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa05cfdcab231db198b34ecf61a3d20a4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#aa05cfdcab231db198b34ecf61a3d20a4">PlayActionStartSound</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:aa05cfdcab231db198b34ecf61a3d20a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e074c3134f1af660a8211000b5296ab"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a2e074c3134f1af660a8211000b5296ab">PlayActionLoopSound</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a2e074c3134f1af660a8211000b5296ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a239969102abe0db2960edb0b0b2aa38e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a239969102abe0db2960edb0b0b2aa38e">StopActionLoopSound</a> ()</td></tr>
<tr class="separator:a239969102abe0db2960edb0b0b2aa38e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a7cb20a4b7f29fdc74e7fefdd51dc48"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a2a7cb20a4b7f29fdc74e7fefdd51dc48">DestroyActionLoopSound</a> ()</td></tr>
<tr class="separator:a2a7cb20a4b7f29fdc74e7fefdd51dc48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abdbb72022fa7e08d0a3a340eefb833ad"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#abdbb72022fa7e08d0a3a340eefb833ad">PlayActionFinishSound</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:abdbb72022fa7e08d0a3a340eefb833ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:ad9c7a91c88dc25bcb3c025f81e912eb4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#ad9c7a91c88dc25bcb3c025f81e912eb4">m_SoundsetBuildStart</a></td></tr>
<tr class="separator:ad9c7a91c88dc25bcb3c025f81e912eb4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a471ac77037eb3e6e61368d7ebb76ffc5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a471ac77037eb3e6e61368d7ebb76ffc5">m_SoundsetBuildLoop</a></td></tr>
<tr class="separator:a471ac77037eb3e6e61368d7ebb76ffc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67fb77062a1397e5a27a38a9492213d4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a67fb77062a1397e5a27a38a9492213d4">m_SoundsetBuildFinish</a></td></tr>
<tr class="separator:a67fb77062a1397e5a27a38a9492213d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40b56d0c7253afb1ac964cf4ef8f2d5f"><td class="memItemLeft" align="right" valign="top">ref protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../db/d71/class_action_build_shelter.html#a40b56d0c7253afb1ac964cf4ef8f2d5f">m_BuildLoopSound</a></td></tr>
<tr class="separator:a40b56d0c7253afb1ac964cf4ef8f2d5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00001">1</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a94dd55fa64ad4adc21776b1602ec0a94" name="a94dd55fa64ad4adc21776b1602ec0a94"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94dd55fa64ad4adc21776b1602ec0a94">&#9670;&#160;</a></span>ActionBuildShelter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::ActionBuildShelter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00008">8</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a5a8324280e5ef9730db47296d849a39d" name="a5a8324280e5ef9730db47296d849a39d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5a8324280e5ef9730db47296d849a39d">&#9670;&#160;</a></span>~ActionBuildShelter()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::~ActionBuildShelter </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00017">17</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a45d07c4cf56d398f63f579a022b1a9bd" name="a45d07c4cf56d398f63f579a022b1a9bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45d07c4cf56d398f63f579a022b1a9bd">&#9670;&#160;</a></span>ActionCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::ActionCondition </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00108">108</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a62d828e52eac9e9be595b85518acebf1" name="a62d828e52eac9e9be595b85518acebf1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62d828e52eac9e9be595b85518acebf1">&#9670;&#160;</a></span>ActionConditionContinue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::ActionConditionContinue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00183">183</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a91d0b225cbd3f9e8abcd7fb9f6229cd2" name="a91d0b225cbd3f9e8abcd7fb9f6229cd2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91d0b225cbd3f9e8abcd7fb9f6229cd2">&#9670;&#160;</a></span>CanBeUsedLeaning()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::CanBeUsedLeaning </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00083">83</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="acc49bf3790efd2cc68898d083e4e5207" name="acc49bf3790efd2cc68898d083e4e5207"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acc49bf3790efd2cc68898d083e4e5207">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionBuildShelter::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00146">146</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="ab3b58a2bed752f6b9b49d2e4b8fa470f" name="ab3b58a2bed752f6b9b49d2e4b8fa470f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab3b58a2bed752f6b9b49d2e4b8fa470f">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00022">22</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a2a7cb20a4b7f29fdc74e7fefdd51dc48" name="a2a7cb20a4b7f29fdc74e7fefdd51dc48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a7cb20a4b7f29fdc74e7fefdd51dc48">&#9670;&#160;</a></span>DestroyActionLoopSound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::DestroyActionLoopSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00312">312</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a1da2ce509a0193938852ea6686d49dc2" name="a1da2ce509a0193938852ea6686d49dc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1da2ce509a0193938852ea6686d49dc2">&#9670;&#160;</a></span>DetermineConstructionSounds()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::DetermineConstructionSounds </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00254">254</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a9070a3d6bb11edfa75fd22325dceb226" name="a9070a3d6bb11edfa75fd22325dceb226"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9070a3d6bb11edfa75fd22325dceb226">&#9670;&#160;</a></span>GetInputType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override ActionBuildShelter::GetInputType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00088">88</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="abaf4010162ccf8b6ab78940ff997949a" name="abaf4010162ccf8b6ab78940ff997949a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abaf4010162ccf8b6ab78940ff997949a">&#9670;&#160;</a></span>GetText()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionBuildShelter::GetText </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00028">28</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="aa179d82f63bd2720fec2f30a7a7d2a30" name="aa179d82f63bd2720fec2f30a7a7d2a30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa179d82f63bd2720fec2f30a7a7d2a30">&#9670;&#160;</a></span>HandleReciveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::HandleReciveData </td>
          <td>(</td>
          <td class="paramtype">ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00176">176</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a777d7acc5358961e72a2dcfcfc8c5de0" name="a777d7acc5358961e72a2dcfcfc8c5de0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a777d7acc5358961e72a2dcfcfc8c5de0">&#9670;&#160;</a></span>HasAlternativeInterrupt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::HasAlternativeInterrupt </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00103">103</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="ad2548f494ef5b62e757470533ff3f405" name="ad2548f494ef5b62e757470533ff3f405"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2548f494ef5b62e757470533ff3f405">&#9670;&#160;</a></span>HasProgress()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::HasProgress </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00098">98</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a570b4acb9cfbaa607f648d3d808b3c69" name="a570b4acb9cfbaa607f648d3d808b3c69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a570b4acb9cfbaa607f648d3d808b3c69">&#9670;&#160;</a></span>OnActionInfoUpdate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnActionInfoUpdate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00059">59</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a76d424fd41690a56d96095937347440b" name="a76d424fd41690a56d96095937347440b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a76d424fd41690a56d96095937347440b">&#9670;&#160;</a></span>OnEnd()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnEnd </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00217">217</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a4b929b8b59303be4ca364d59427e0e08" name="a4b929b8b59303be4ca364d59427e0e08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b929b8b59303be4ca364d59427e0e08">&#9670;&#160;</a></span>OnEndClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnEndClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00223">223</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="aa8d3c89f8a61b4dfe15a35419db0990a" name="aa8d3c89f8a61b4dfe15a35419db0990a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8d3c89f8a61b4dfe15a35419db0990a">&#9670;&#160;</a></span>OnFinishProgressClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnFinishProgressClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00247">247</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a9762b833ae5af451471af2d9f770a997" name="a9762b833ae5af451471af2d9f770a997"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9762b833ae5af451471af2d9f770a997">&#9670;&#160;</a></span>OnFinishProgressServer()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnFinishProgressServer </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00231">231</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a7ceca15240a071f19d396c9262de7147" name="a7ceca15240a071f19d396c9262de7147"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ceca15240a071f19d396c9262de7147">&#9670;&#160;</a></span>OnStart()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnStart </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00196">196</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a6eb16c03d0f0cbbf9bbedca4f24baf7d" name="a6eb16c03d0f0cbbf9bbedca4f24baf7d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6eb16c03d0f0cbbf9bbedca4f24baf7d">&#9670;&#160;</a></span>OnStartAnimationLoopClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnStartAnimationLoopClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00210">210</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a8bfb33d2601074767ef6928a74773690" name="a8bfb33d2601074767ef6928a74773690"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bfb33d2601074767ef6928a74773690">&#9670;&#160;</a></span>OnStartClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::OnStartClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00202">202</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="abdbb72022fa7e08d0a3a340eefb833ad" name="abdbb72022fa7e08d0a3a340eefb833ad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abdbb72022fa7e08d0a3a340eefb833ad">&#9670;&#160;</a></span>PlayActionFinishSound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::PlayActionFinishSound </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00317">317</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a2e074c3134f1af660a8211000b5296ab" name="a2e074c3134f1af660a8211000b5296ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e074c3134f1af660a8211000b5296ab">&#9670;&#160;</a></span>PlayActionLoopSound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::PlayActionLoopSound </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00295">295</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="aa05cfdcab231db198b34ecf61a3d20a4" name="aa05cfdcab231db198b34ecf61a3d20a4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa05cfdcab231db198b34ecf61a3d20a4">&#9670;&#160;</a></span>PlayActionStartSound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::PlayActionStartSound </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00289">289</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a9cdfb431d1e1692d3dc54b85a137636d" name="a9cdfb431d1e1692d3dc54b85a137636d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9cdfb431d1e1692d3dc54b85a137636d">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00159">159</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a7875788c5a8f631b92a4541ea47f0aa4" name="a7875788c5a8f631b92a4541ea47f0aa4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7875788c5a8f631b92a4541ea47f0aa4">&#9670;&#160;</a></span>SetupAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::SetupAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>extra_data</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00131">131</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a239969102abe0db2960edb0b0b2aa38e" name="a239969102abe0db2960edb0b0b2aa38e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a239969102abe0db2960edb0b0b2aa38e">&#9670;&#160;</a></span>StopActionLoopSound()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ActionBuildShelter::StopActionLoopSound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00303">303</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a2211d0a9955e7e523e6cfb13866263e4" name="a2211d0a9955e7e523e6cfb13866263e4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2211d0a9955e7e523e6cfb13866263e4">&#9670;&#160;</a></span>UseMainItem()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionBuildShelter::UseMainItem </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00093">93</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a4436a9e87c77c518e116cde19e2e223a" name="a4436a9e87c77c518e116cde19e2e223a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4436a9e87c77c518e116cde19e2e223a">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionBuildShelter::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00152">152</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a40b56d0c7253afb1ac964cf4ef8f2d5f" name="a40b56d0c7253afb1ac964cf4ef8f2d5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40b56d0c7253afb1ac964cf4ef8f2d5f">&#9670;&#160;</a></span>m_BuildLoopSound</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref protected <a class="el" href="../../d9/d89/class_effect_sound.html">EffectSound</a> ActionBuildShelter::m_BuildLoopSound</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00006">6</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a67fb77062a1397e5a27a38a9492213d4" name="a67fb77062a1397e5a27a38a9492213d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67fb77062a1397e5a27a38a9492213d4">&#9670;&#160;</a></span>m_SoundsetBuildFinish</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionBuildShelter::m_SoundsetBuildFinish</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00005">5</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="a471ac77037eb3e6e61368d7ebb76ffc5" name="a471ac77037eb3e6e61368d7ebb76ffc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a471ac77037eb3e6e61368d7ebb76ffc5">&#9670;&#160;</a></span>m_SoundsetBuildLoop</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionBuildShelter::m_SoundsetBuildLoop</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00004">4</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<a id="ad9c7a91c88dc25bcb3c025f81e912eb4" name="ad9c7a91c88dc25bcb3c025f81e912eb4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9c7a91c88dc25bcb3c025f81e912eb4">&#9670;&#160;</a></span>m_SoundsetBuildStart</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> ActionBuildShelter::m_SoundsetBuildStart</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html#l00003">3</a> of file <a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Interact/<a class="el" href="../../dd/da9/_action_build_shelter_8c_source.html">ActionBuildShelter.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../db/d71/class_action_build_shelter.html">ActionBuildShelter</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
